%define pkg_name        X11-IdleTime
%define pkg_version     0.4
%define rpm_pkg_version 0.4
%define rpm_pkg_release 1.n0i.6

Summary:       Perl module that reports number of seconds that X11 has been idle
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AW/AWENDT/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Inline) >= 0.44
BuildRequires: libX11-devel libXScrnSaver-devel libXext-devel
Requires:      perl(Inline) >= 0.44


%description
The X11::IdleTime module is useful for checking how long the user has been
idle.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.4-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8
- version 0.4

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.3-2.n0i.5
- automatic rebuild (perl 5.8.8)

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.3-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- version 0.3

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.01-1.n0i.3
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:0.01-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Tue May 18 2004 Marius Feraru <altblue@n0i.net> 0:0.01-1.n0i.1
- version 0.01
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
